# Threads / Profile

Fetch a public Threads profile by username or numeric id: bio, followers, and verification.

```
GET /api/v1/threads/profile
```

Auth: `Authorization: Bearer <SOCIFY_KEY>`  
Credits: 4 credits per request

## Parameters

| Name | Required | Description | Example |
|------|----------|-------------|---------|
| `username` | no | Threads username without @. | `orlandomagic` |
| `id` | no | Numeric user id. | `63286282350` |

## Example

```bash
curl -s 'https://trysocify.com/api/v1/threads/profile?username=orlandomagic&id=63286282350' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

## Response fields

| Field | Type | Description |
|-------|------|-------------|
| `pk` | string | User id. |
| `username` | string | Username. |
| `full_name` | string | Display name. |
| `biography` | string | Bio text. |
| `follower_count` | number | Follower count. |
| `is_verified` | boolean | Whether verified. |
| `profile_pic_url` | string | Profile picture URL. |
## Sample response

Successful lookups wrap the payload in `{ ok, platform, resource, params, data, meta }`. `data` is shown below.

```json
{
  "ok": true,
  "platform": "threads",
  "resource": "profile",
  "params": {
    "username": "orlandomagic",
    "id": "63286282350"
  },
  "data": {
    "biography": "building the culture in the O",
    "follower_count": 276177,
    "full_name": "Orlando Magic",
    "is_verified": true,
    "pk": "63286282350",
    "profile_pic_url": "https://scontent.cdninstagram.com/v/t51.2885-19/example.jpg",
    "username": "orlandomagic"
  },
  "meta": {
    "credits_charged": 4,
    "latency_ms": 420,
    "platform": "threads",
    "resource": "profile",
    "path": "/api/v1/threads/profile"
  }
}
```

## Links

- HTML docs: https://trysocify.com/docs/api/threads/profile
- SEO page: https://trysocify.com/threads/profile
- OpenAPI: https://trysocify.com/openapi.json
- Catalog: https://trysocify.com/catalog.json
